Subject: bug#20995: 24.5; uncomment XML file results in high CPU utilisation / hanging

From: Glenn Morris <[email-masked]>
Date: Mon, 06 Jul 2015 16:19:13 -0400

Sam Halliday wrote:

> I just upgraded from 24.4 to 24.5 on Debian Jessie (self compiled) and
> if I open an XML file containing the below information, and attempt to
> M-: uncomment the last comment line in the file, Emacs eats 100%
> CPU and I have to kill it. I can confirm that it works OK in 24.4:

What does "M-: uncomment" mean? 
Please give a complete recipe starting from emacs -Q.

FWIW, works fine for me in 24.5 to mark the last comment line and use
M-x uncomment-region.